const Node = require('./Node');
const TestResult = require('./TestResult');
const Notification = require('./Notification');

// 定义模型关联关系
Node.hasMany(TestResult, {
  foreignKey: 'nodeId',
  as: 'testResults',
  onDelete: 'CASCADE'
});

TestResult.belongsTo(Node, {
  foreignKey: 'nodeId',
  as: 'node'
});

Node.hasMany(Notification, {
  foreignKey: 'nodeId',
  as: 'notifications',
  onDelete: 'CASCADE'
});

Notification.belongsTo(Node, {
  foreignKey: 'nodeId',
  as: 'node'
});

module.exports = {
  Node,
  TestResult,
  Notification
}; 